GNU bug report logs - #64759
Broken faces

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Juri Linkov <juri@HIDDEN>; dated Fri, 21 Jul 2023 06:41:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 64759 <at> debbugs.gnu.org:


Received: (at 64759) by debbugs.gnu.org; 25 Jul 2023 17:05:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 25 13:05:24 2023
Received: from localhost ([127.0.0.1]:46835 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1qOLTP-0004Fe-US
	for submit <at> debbugs.gnu.org; Tue, 25 Jul 2023 13:05:24 -0400
Received: from relay7-d.mail.gandi.net ([2001:4b98:dc4:8::227]:57813)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1qOLTO-0004FN-Lm
 for 64759 <at> debbugs.gnu.org; Tue, 25 Jul 2023 13:05:23 -0400
Received: by mail.gandi.net (Postfix) with ESMTPSA id ECE872000C;
 Tue, 25 Jul 2023 17:05:13 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#64759: Broken faces
In-Reply-To: <83ila9qigb.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 24 Jul
 2023 21:21:08 +0300")
Organization: LINKOV.NET
References: <86fs5h4vo2.fsf@HIDDEN> <83fs5h1z38.fsf@HIDDEN>
 <86bkg53cau.fsf@HIDDEN>
 <c68de499-1a86-3cf6-6224-3c97c554c676@HIDDEN>
 <86ilad1bhn.fsf@HIDDEN> <83r0p19q0r.fsf@HIDDEN>
 <86tttxywxu.fsf@HIDDEN> <83o7k59kpv.fsf@HIDDEN>
 <86h6pxyubj.fsf@HIDDEN> <83lef99js7.fsf@HIDDEN>
 <86351d5i22.fsf@HIDDEN> <83ila9qigb.fsf@HIDDEN>
Date: Tue, 25 Jul 2023 20:04:16 +0300
Message-ID: <86r0ow53t7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/30.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-GND-Sasl: juri@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 64759
Cc: 64759 <at> debbugs.gnu.org, maurooaranda@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> The semantics of nil could be the same as '((t nil)).
>
> And what is the semantics of '((t nil)) ?  What attributes will the
> face have when realized?

No attributes.  This is the standard value used by empty faces.

>> Do you agree that currently the value '((t nil))
>> should be used for faces without default face attributes?
>
> Yes, I think so.  If no better face to inherit from is available in
> each such case, that is.

This means these faces should have by default '((t nil)):
semantic-decoration-on-includes, shr-h4, shr-h5, shr-h6,
nxml-text, nxml-delimiter, nxml-element-colon, makefile-shell
as before?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#64759; Package emacs. Full text available.

Message received at 64759 <at> debbugs.gnu.org:


Received: (at 64759) by debbugs.gnu.org; 24 Jul 2023 18:20:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 24 14:20:32 2023
Received: from localhost ([127.0.0.1]:43995 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1qO0Aa-0001kQ-Co
	for submit <at> debbugs.gnu.org; Mon, 24 Jul 2023 14:20:32 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:58046)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1qO0AX-0001kC-P6
 for 64759 <at> debbugs.gnu.org; Mon, 24 Jul 2023 14:20:30 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1qO0AS-0008Q1-HO; Mon, 24 Jul 2023 14:20:24 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=K0OuxXI7nN7NiV+aJDBpjnOBUbY0zZTyVb07q+mAlyM=; b=Wlo1ZI4LLJU5
 m9UfZrFMwfaHbdv5kZ0ZgVavANotAUWGCMLgmx9MjZ2YlrPUrvj0lpIrlzNCr/Ui4VwDfXxzhg6CJ
 5YrI0jzs1y/6c12mYC4BAkrs2miiEjoZXP9mt0Wu+E/Vo0fDf8hafu2QmNUej93waEQaiNgy9OTq/
 zw+2aM1/e6zxdyMRmdHcfFn3DAthQ4c4Tt2x4S9uHUy9pPslt9W2xi5jGYKtNALyMbLTbuvlLtoRX
 0Eg8RkY2yLrmezMcOMT8dYiJLqYlzAx0PZtEeDad/Qtt1lNasR25Q6Ygdf6z6UCPXdzEfz0fGNvg2
 3hX7CYPJJd3tt9xJGNBo4Q==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1qO0AS-0002gd-15; Mon, 24 Jul 2023 14:20:24 -0400
Date: Mon, 24 Jul 2023 21:21:08 +0300
Message-Id: <83ila9qigb.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
In-Reply-To: <86351d5i22.fsf@HIDDEN> (message from Juri Linkov on
 Mon, 24 Jul 2023 20:35:17 +0300)
Subject: Re: bug#64759: Broken faces
References: <86fs5h4vo2.fsf@HIDDEN> <83fs5h1z38.fsf@HIDDEN>
 <86bkg53cau.fsf@HIDDEN>
 <c68de499-1a86-3cf6-6224-3c97c554c676@HIDDEN>
 <86ilad1bhn.fsf@HIDDEN> <83r0p19q0r.fsf@HIDDEN>
 <86tttxywxu.fsf@HIDDEN> <83o7k59kpv.fsf@HIDDEN>
 <86h6pxyubj.fsf@HIDDEN> <83lef99js7.fsf@HIDDEN>
 <86351d5i22.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 64759
Cc: 64759 <at> debbugs.gnu.org, maurooaranda@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Juri Linkov <juri@HIDDEN>
> Cc: maurooaranda@HIDDEN,  64759 <at> debbugs.gnu.org
> Date: Mon, 24 Jul 2023 20:35:17 +0300
> 
> >> No, it's not the same.  The latter uses a white background on the mode line.
> >
> > So I ask again: what is the semantics of nil in this case?  We cannot
> > have in Emacs something that triggers undefined behavior, let alone
> > use it in our own sources.  The semantics of this must be known and
> > documented before we can use it.
> 
> The semantics of nil could be the same as '((t nil)).

And what is the semantics of '((t nil)) ?  What attributes will the
face have when realized?

> Do you agree that currently the value '((t nil))
> should be used for faces without default face attributes?

Yes, I think so.  If no better face to inherit from is available in
each such case, that is.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#64759; Package emacs. Full text available.

Message received at 64759 <at> debbugs.gnu.org:


Received: (at 64759) by debbugs.gnu.org; 24 Jul 2023 17:37:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 24 13:37:25 2023
Received: from localhost ([127.0.0.1]:43972 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1qNzUq-0006Yq-OI
	for submit <at> debbugs.gnu.org; Mon, 24 Jul 2023 13:37:25 -0400
Received: from relay8-d.mail.gandi.net ([2001:4b98:dc4:8::228]:39957)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1qNzUh-0006YA-4d
 for 64759 <at> debbugs.gnu.org; Mon, 24 Jul 2023 13:37:16 -0400
Received: by mail.gandi.net (Postfix) with ESMTPSA id 54C931BF206;
 Mon, 24 Jul 2023 17:37:07 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#64759: Broken faces
In-Reply-To: <83lef99js7.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 21 Jul
 2023 21:55:20 +0300")
Organization: LINKOV.NET
References: <86fs5h4vo2.fsf@HIDDEN> <83fs5h1z38.fsf@HIDDEN>
 <86bkg53cau.fsf@HIDDEN>
 <c68de499-1a86-3cf6-6224-3c97c554c676@HIDDEN>
 <86ilad1bhn.fsf@HIDDEN> <83r0p19q0r.fsf@HIDDEN>
 <86tttxywxu.fsf@HIDDEN> <83o7k59kpv.fsf@HIDDEN>
 <86h6pxyubj.fsf@HIDDEN> <83lef99js7.fsf@HIDDEN>
Date: Mon, 24 Jul 2023 20:35:17 +0300
Message-ID: <86351d5i22.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/30.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-GND-Sasl: juri@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 64759
Cc: 64759 <at> debbugs.gnu.org, maurooaranda@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> No, it's not the same.  The latter uses a white background on the mode line.
>
> So I ask again: what is the semantics of nil in this case?  We cannot
> have in Emacs something that triggers undefined behavior, let alone
> use it in our own sources.  The semantics of this must be known and
> documented before we can use it.

The semantics of nil could be the same as '((t nil)).

Do you agree that currently the value '((t nil))
should be used for faces without default face attributes?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#64759; Package emacs. Full text available.

Message received at 64759 <at> debbugs.gnu.org:


Received: (at 64759) by debbugs.gnu.org; 21 Jul 2023 18:54:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 21 14:54:53 2023
Received: from localhost ([127.0.0.1]:34883 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1qMvHB-0002Ns-F2
	for submit <at> debbugs.gnu.org; Fri, 21 Jul 2023 14:54:53 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:56016)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1qMvH9-0002Nd-Cu
 for 64759 <at> debbugs.gnu.org; Fri, 21 Jul 2023 14:54:52 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1qMvH3-00061Y-I5; Fri, 21 Jul 2023 14:54:45 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=Q2uKUHJE4rZKbC5/pBDXsGHcS1YRY/AfuCr0lRGnBEo=; b=hXGIKXP8i/j4
 A/WywyhP8LFydyesKyJ9CRhL1sOzRvnH3AdJ1HdwHJ5MNRdQMtYH/avlCdyRWrjFsR6WsrIAkdApg
 PgWDUCTEDFtSyHeJdJ2IsaApxbD3JnM+170sQiQsFpUlRUliIinO1yqte7h2WVgR5BjW4DOM42BA3
 qUmovwUsMKpmbfTOF77EUnvlQLNPoB51+WIp1Ec6Zehmo1dw9WXlS/MskHehtovSfxtjxrqkYD8+R
 hpEoOPNbLVJ6TbHvfrllxKmgECVyj8c9PkwL9l+psv/TWosJ75Gg4LRjVpsBP01HPzcxEKl5Wmv18
 oQHGntuJMbCwNdbdzlhf2w==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1qMvH2-0001he-Rz; Fri, 21 Jul 2023 14:54:45 -0400
Date: Fri, 21 Jul 2023 21:55:20 +0300
Message-Id: <83lef99js7.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
In-Reply-To: <86h6pxyubj.fsf@HIDDEN> (message from Juri Linkov on
 Fri, 21 Jul 2023 21:49:13 +0300)
Subject: Re: bug#64759: Broken faces
References: <86fs5h4vo2.fsf@HIDDEN> <83fs5h1z38.fsf@HIDDEN>
 <86bkg53cau.fsf@HIDDEN>
 <c68de499-1a86-3cf6-6224-3c97c554c676@HIDDEN>
 <86ilad1bhn.fsf@HIDDEN> <83r0p19q0r.fsf@HIDDEN>
 <86tttxywxu.fsf@HIDDEN> <83o7k59kpv.fsf@HIDDEN>
 <86h6pxyubj.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 64759
Cc: 64759 <at> debbugs.gnu.org, maurooaranda@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Juri Linkov <juri@HIDDEN>
> Cc: maurooaranda@HIDDEN,  64759 <at> debbugs.gnu.org
> Date: Fri, 21 Jul 2023 21:49:13 +0300
> 
> No, it's not the same.  The latter uses a white background on the mode line.

So I ask again: what is the semantics of nil in this case?  We cannot
have in Emacs something that triggers undefined behavior, let alone
use it in our own sources.  The semantics of this must be known and
documented before we can use it.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#64759; Package emacs. Full text available.

Message received at 64759 <at> debbugs.gnu.org:


Received: (at 64759) by debbugs.gnu.org; 21 Jul 2023 18:50:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 21 14:50:16 2023
Received: from localhost ([127.0.0.1]:34875 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1qMvCi-0002HZ-Gk
	for submit <at> debbugs.gnu.org; Fri, 21 Jul 2023 14:50:16 -0400
Received: from relay1-d.mail.gandi.net ([217.70.183.193]:34459)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1qMvCf-0002HK-Ej
 for 64759 <at> debbugs.gnu.org; Fri, 21 Jul 2023 14:50:15 -0400
Received: by mail.gandi.net (Postfix) with ESMTPSA id 5832C240002;
 Fri, 21 Jul 2023 18:50:05 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#64759: Broken faces
In-Reply-To: <83o7k59kpv.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 21 Jul
 2023 21:35:08 +0300")
Organization: LINKOV.NET
References: <86fs5h4vo2.fsf@HIDDEN> <83fs5h1z38.fsf@HIDDEN>
 <86bkg53cau.fsf@HIDDEN>
 <c68de499-1a86-3cf6-6224-3c97c554c676@HIDDEN>
 <86ilad1bhn.fsf@HIDDEN> <83r0p19q0r.fsf@HIDDEN>
 <86tttxywxu.fsf@HIDDEN> <83o7k59kpv.fsf@HIDDEN>
Date: Fri, 21 Jul 2023 21:49:13 +0300
Message-ID: <86h6pxyubj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/30.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-GND-Sasl: juri@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 64759
Cc: 64759 <at> debbugs.gnu.org, maurooaranda@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> Let's see: when the definition is
>>
>>   (defface display-time-date-and-time
>>     nil
>>     "Face for `display-time-format'."
>>     :group 'mode-line-faces
>>     :version "30.1")
>>
>> then the customization buffer is
>>
>>   Hide display-time-date-and-time face: [sample]
>>       State : NO CUSTOMIZATION DATA; not intended to be customized.
>>      Face for ‘display-time-format’.
>>      -- Empty face --
>>      Show All Attributes
>>
>> But when the definition is
>>
>>   (defface display-time-date-and-time
>>     '((t nil))
>>     "Face for `display-time-format'."
>>     :group 'mode-line-faces
>>     :version "30.1")
>>
>> the customization buffer is
>>
>>   Hide display-time-date-and-time face: [sample]
>>       State : STANDARD.
>>      Face for ‘display-time-format’.
>>      -- Empty face --
>>      Show All Attributes
>>
>> Looks nice.  No strange error message about not intended to be customized.
>
> That's not what I asked.  I asked about the face attributes.
>
> IOW, isn't
>
>   (defface display-time-date-and-time
>     '((t nil))
>     "Face for `display-time-format'."
>     :group 'mode-line-faces
>     :version "30.1")
>
> the same as
>
>   (defface display-time-date-and-time
>     '((t (:inherit default)))
>     "Face for `display-time-format'."
>     :group 'mode-line-faces
>     :version "30.1")
>
> ?

No, it's not the same.  The latter uses a white background on the mode line.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#64759; Package emacs. Full text available.

Message received at 64759 <at> debbugs.gnu.org:


Received: (at 64759) by debbugs.gnu.org; 21 Jul 2023 18:34:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 21 14:34:41 2023
Received: from localhost ([127.0.0.1]:34853 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1qMuxd-0001q6-KI
	for submit <at> debbugs.gnu.org; Fri, 21 Jul 2023 14:34:41 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:49272)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1qMuxa-0001pr-Jy
 for 64759 <at> debbugs.gnu.org; Fri, 21 Jul 2023 14:34:39 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1qMuxU-0002tM-Qn; Fri, 21 Jul 2023 14:34:32 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-version:References:Subject:In-Reply-To:To:From:
 Date; bh=TpjbxU0WOBe3QFNGxTfKHohaMKF10KMKVgvrHwGyWcs=; b=ZBieBhAbYgVKDD0w8aB6
 YWzSNGlsZjrSd7+lMt8yDDBsCmHhO/o/2j1wDvKeltyQy+8FZnvhtkhe3YsEFB4uufhJyRKrCzY7k
 FMFohl2ptyXU2eBhGsN9LInVbv1PwtQoUZkK7wDZO0/Gn7zZCuygHGKKsKMXGPJiq3BQxOXht8NW6
 07qYH6d9ENkQBOptSFRKa2FQM4jP1sXGpVSwhOi8pMxbgTMcDMuVNKKfVwar4MpJ3iXl/67zDU8tE
 4TclBOZ9JfjNBdEt6xv5K1rNgMGdbLS9lhRa0uhy9QL1yu/dDuUjHMUvr4NTDVM/H0Hl4G0NBj36x
 jQkvk4QO91ncNw==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1qMuxU-0008Ty-9p; Fri, 21 Jul 2023 14:34:32 -0400
Date: Fri, 21 Jul 2023 21:35:08 +0300
Message-Id: <83o7k59kpv.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
In-Reply-To: <86tttxywxu.fsf@HIDDEN> (message from Juri Linkov on
 Fri, 21 Jul 2023 20:51:57 +0300)
Subject: Re: bug#64759: Broken faces
References: <86fs5h4vo2.fsf@HIDDEN> <83fs5h1z38.fsf@HIDDEN>
 <86bkg53cau.fsf@HIDDEN>
 <c68de499-1a86-3cf6-6224-3c97c554c676@HIDDEN>
 <86ilad1bhn.fsf@HIDDEN> <83r0p19q0r.fsf@HIDDEN>
 <86tttxywxu.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 64759
Cc: 64759 <at> debbugs.gnu.org, maurooaranda@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Juri Linkov <juri@HIDDEN>
> Cc: maurooaranda@HIDDEN,  64759 <at> debbugs.gnu.org
> Date: Fri, 21 Jul 2023 20:51:57 +0300
> 
> >> Thanks, I confirm that '((t nil)) solves this problem.
> >> If a nil value can't be supported for faces, then
> >> let's use '((t nil)).
> >
> > What do you expect this to produce for the face attributes?
> 
> Let's see: when the definition is
> 
>   (defface display-time-date-and-time
>     nil
>     "Face for `display-time-format'."
>     :group 'mode-line-faces
>     :version "30.1")
> 
> then the customization buffer is
> 
>   Hide display-time-date-and-time face: [sample]
>       State : NO CUSTOMIZATION DATA; not intended to be customized.
>      Face for ‘display-time-format’.
>      -- Empty face --
>      Show All Attributes
> 
> But when the definition is
> 
>   (defface display-time-date-and-time
>     '((t nil))
>     "Face for `display-time-format'."
>     :group 'mode-line-faces
>     :version "30.1")
> 
> the customization buffer is
> 
>   Hide display-time-date-and-time face: [sample]
>       State : STANDARD.
>      Face for ‘display-time-format’.
>      -- Empty face --
>      Show All Attributes
> 
> Looks nice.  No strange error message about not intended to be customized.

That's not what I asked.  I asked about the face attributes.

IOW, isn't

  (defface display-time-date-and-time
    '((t nil))
    "Face for `display-time-format'."
    :group 'mode-line-faces
    :version "30.1")

the same as

  (defface display-time-date-and-time
    '((t (:inherit default)))
    "Face for `display-time-format'."
    :group 'mode-line-faces
    :version "30.1")

?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#64759; Package emacs. Full text available.

Message received at 64759 <at> debbugs.gnu.org:


Received: (at 64759) by debbugs.gnu.org; 21 Jul 2023 17:53:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 21 13:53:05 2023
Received: from localhost ([127.0.0.1]:34829 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1qMuJN-0000qo-IT
	for submit <at> debbugs.gnu.org; Fri, 21 Jul 2023 13:53:05 -0400
Received: from relay9-d.mail.gandi.net ([217.70.183.199]:33285)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1qMuJJ-0000qC-FQ
 for 64759 <at> debbugs.gnu.org; Fri, 21 Jul 2023 13:53:03 -0400
Received: by mail.gandi.net (Postfix) with ESMTPSA id 69C8EFF804;
 Fri, 21 Jul 2023 17:52:53 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#64759: Broken faces
In-Reply-To: <83r0p19q0r.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 21 Jul
 2023 19:40:36 +0300")
Organization: LINKOV.NET
References: <86fs5h4vo2.fsf@HIDDEN> <83fs5h1z38.fsf@HIDDEN>
 <86bkg53cau.fsf@HIDDEN>
 <c68de499-1a86-3cf6-6224-3c97c554c676@HIDDEN>
 <86ilad1bhn.fsf@HIDDEN> <83r0p19q0r.fsf@HIDDEN>
Date: Fri, 21 Jul 2023 20:51:57 +0300
Message-ID: <86tttxywxu.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/30.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-GND-Sasl: juri@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 64759
Cc: 64759 <at> debbugs.gnu.org, maurooaranda@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> Thanks, I confirm that '((t nil)) solves this problem.
>> If a nil value can't be supported for faces, then
>> let's use '((t nil)).
>
> What do you expect this to produce for the face attributes?

Let's see: when the definition is

  (defface display-time-date-and-time
    nil
    "Face for `display-time-format'."
    :group 'mode-line-faces
    :version "30.1")

then the customization buffer is

  Hide display-time-date-and-time face: [sample]
      State : NO CUSTOMIZATION DATA; not intended to be customized.
     Face for ‘display-time-format’.
     -- Empty face --
     Show All Attributes

But when the definition is

  (defface display-time-date-and-time
    '((t nil))
    "Face for `display-time-format'."
    :group 'mode-line-faces
    :version "30.1")

the customization buffer is

  Hide display-time-date-and-time face: [sample]
      State : STANDARD.
     Face for ‘display-time-format’.
     -- Empty face --
     Show All Attributes

Looks nice.  No strange error message about not intended to be customized.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#64759; Package emacs. Full text available.

Message received at 64759 <at> debbugs.gnu.org:


Received: (at 64759) by debbugs.gnu.org; 21 Jul 2023 16:40:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 21 12:40:09 2023
Received: from localhost ([127.0.0.1]:34749 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1qMtAn-0007A4-5O
	for submit <at> debbugs.gnu.org; Fri, 21 Jul 2023 12:40:09 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:51650)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1qMtAk-00079Y-OO
 for 64759 <at> debbugs.gnu.org; Fri, 21 Jul 2023 12:40:07 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1qMtAf-0005PK-18; Fri, 21 Jul 2023 12:40:01 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=Bn6fdMJd0K9hJxsdU7NGfQwtJrDrrs0S6xuvtKBKXQU=; b=SSw3Y1wKMBkg
 5dsh34aFjY+DcS8kMUKUmIbrnBfL3dFdlqQO2rx4yksFKyzKofH4tceRb3zItz5CN+wBvKNWdZ9xy
 5oSYCIi4MimsvvOSFp2DW4AY99JwlXzZGd8NP1nq609ePqU1N2FB6cy+6wA9i3ApoT5nZf9Im4qWm
 7QfMOxwpxVW8U/Xx43hRugiztPcRvA/kRaE7D9XjzUP8tNN48f9boTsBX1Cgrl3RMfTZkIJ8thInE
 42EfRBCSlYVuMca9PG+wPG16y16mfBX9Ih0C8hevgoanZ7QkAO48WpgEEXBpuPYHlPZEwYWEyox27
 OcRC0/bw3DrIbk5puTywOQ==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1qMtAd-0006GF-NA; Fri, 21 Jul 2023 12:40:00 -0400
Date: Fri, 21 Jul 2023 19:40:36 +0300
Message-Id: <83r0p19q0r.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
In-Reply-To: <86ilad1bhn.fsf@HIDDEN> (message from Juri Linkov on
 Fri, 21 Jul 2023 19:21:40 +0300)
Subject: Re: bug#64759: Broken faces
References: <86fs5h4vo2.fsf@HIDDEN> <83fs5h1z38.fsf@HIDDEN>
 <86bkg53cau.fsf@HIDDEN>
 <c68de499-1a86-3cf6-6224-3c97c554c676@HIDDEN>
 <86ilad1bhn.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 64759
Cc: 64759 <at> debbugs.gnu.org, maurooaranda@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Juri Linkov <juri@HIDDEN>
> Cc: 64759 <at> debbugs.gnu.org,  Eli Zaretskii <eliz@HIDDEN>
> Date: Fri, 21 Jul 2023 19:21:40 +0300
> 
> Thanks, I confirm that '((t nil)) solves this problem.
> If a nil value can't be supported for faces, then
> let's use '((t nil)).

What do you expect this to produce for the face attributes?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#64759; Package emacs. Full text available.

Message received at 64759 <at> debbugs.gnu.org:


Received: (at 64759) by debbugs.gnu.org; 21 Jul 2023 16:39:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 21 12:39:09 2023
Received: from localhost ([127.0.0.1]:34738 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1qMt9o-000783-SO
	for submit <at> debbugs.gnu.org; Fri, 21 Jul 2023 12:39:09 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:60096)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1qMt9n-00077p-AD
 for 64759 <at> debbugs.gnu.org; Fri, 21 Jul 2023 12:39:07 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1qMt9c-0005JQ-Tl; Fri, 21 Jul 2023 12:39:01 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=2QlGk48a8MlvBjCRLQ40aBAl6KoJbGLsf3eJ56WlX0o=; b=WqZU05MBvKJp
 KJdNY+5CEM/Cd/UAVUuKBmvBiUb+YgqTiv67cmnQ0QsmwmW4dKLimnOJ1nTPZslsGc5xPsuRT/nXX
 smTwgcTRfXdSEy/qg7Q1je1/ve63TmnjXONip4lLh9R03g7eo3ZFR4Ro6W2p8sC/O0RqIJPBQLvI5
 kKbKgpKbob3bj3KXBZBdCvtKFC02t4vD3CotfROtvmp2QKdID9pcVnHjX+pFjRaJQ10vpb9WFaMks
 cknivEQMyavlOf30Ruj4gZ7eVMa7MggC426cfEuxFVB0OnRCpKMM7fWu1xHkvIxAbquaE9hiaBtkn
 up5VrqxqRUqppJ0Npi0kQw==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1qMt9c-0006CS-DN; Fri, 21 Jul 2023 12:38:56 -0400
Date: Fri, 21 Jul 2023 19:39:33 +0300
Message-Id: <83sf9h9q2i.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
In-Reply-To: <86r0p11bj7.fsf@HIDDEN> (message from Juri Linkov on
 Fri, 21 Jul 2023 19:20:44 +0300)
Subject: Re: bug#64759: Broken faces
References: <86fs5h4vo2.fsf@HIDDEN> <83fs5h1z38.fsf@HIDDEN>
 <86bkg53cau.fsf@HIDDEN> <83a5vp1qmu.fsf@HIDDEN>
 <86r0p11bj7.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 64759
Cc: 64759 <at> debbugs.gnu.org, maurooaranda@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Juri Linkov <juri@HIDDEN>
> Cc: 64759 <at> debbugs.gnu.org,  maurooaranda@HIDDEN
> Date: Fri, 21 Jul 2023 19:20:44 +0300
> 
> >> It seems adding non-empty definitions in bug#64655
> >> were intended to workaround a bug in cus-edit.el,
> >> not to fix it.
> >
> > I don't think it's a bug.  Why is it a bug to tell the user that the
> > face has no information to show as the current definition?
> 
> How this is different from a variable that has a nil value?
> The Customization UI can handle it.

It can and it does.  Emacs doesn't signal an error and doesn't crash.
So there's no problem, just unexpected info.

> > Moreover, what does it mean to have nil there in defface?  The
> > meaning of nil is not documented anywhere that I could see, so what
> > did the authors of such code expect it to produce?
> 
> Why not nil?  Every variable supports a nil value.  Why can't faces
> do the same?

I don't know, but the documentation says nothing about the semantics
of that.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#64759; Package emacs. Full text available.

Message received at 64759 <at> debbugs.gnu.org:


Received: (at 64759) by debbugs.gnu.org; 21 Jul 2023 16:22:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 21 12:22:49 2023
Received: from localhost ([127.0.0.1]:34721 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1qMsu1-0006iy-IZ
	for submit <at> debbugs.gnu.org; Fri, 21 Jul 2023 12:22:49 -0400
Received: from relay7-d.mail.gandi.net ([2001:4b98:dc4:8::227]:57765)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1qMstz-0006iX-Ql
 for 64759 <at> debbugs.gnu.org; Fri, 21 Jul 2023 12:22:48 -0400
Received: by mail.gandi.net (Postfix) with ESMTPSA id DB1E02000A;
 Fri, 21 Jul 2023 16:22:39 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Mauro Aranda <maurooaranda@HIDDEN>
Subject: Re: bug#64759: Broken faces
In-Reply-To: <c68de499-1a86-3cf6-6224-3c97c554c676@HIDDEN> (Mauro Aranda's
 message of "Fri, 21 Jul 2023 07:48:30 -0300")
Organization: LINKOV.NET
References: <86fs5h4vo2.fsf@HIDDEN> <83fs5h1z38.fsf@HIDDEN>
 <86bkg53cau.fsf@HIDDEN>
 <c68de499-1a86-3cf6-6224-3c97c554c676@HIDDEN>
Date: Fri, 21 Jul 2023 19:21:40 +0300
Message-ID: <86ilad1bhn.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/30.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
X-GND-Sasl: juri@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 64759
Cc: 64759 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> But it seems to me that it's better to define it like this:
> (defface foo '((t nil)) "...")
> so that the face gets a face-defface-spec property.
>
> So maybe the definition for display-time-date-and-time should be changed
> to:
> (defface display-time-date-and-time
>  '((t nil))
>  "Face for `display-time-format'."
>  :group 'mode-line-faces
>  :version "30.1")
>
> instead that making it inherit from mode-line?

Thanks, I confirm that '((t nil)) solves this problem.
If a nil value can't be supported for faces, then
let's use '((t nil)).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#64759; Package emacs. Full text available.

Message received at 64759 <at> debbugs.gnu.org:


Received: (at 64759) by debbugs.gnu.org; 21 Jul 2023 16:22:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 21 12:22:44 2023
Received: from localhost ([127.0.0.1]:34718 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1qMstw-0006if-At
	for submit <at> debbugs.gnu.org; Fri, 21 Jul 2023 12:22:44 -0400
Received: from relay2-d.mail.gandi.net ([217.70.183.194]:60491)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1qMstu-0006iQ-I9
 for 64759 <at> debbugs.gnu.org; Fri, 21 Jul 2023 12:22:43 -0400
Received: by mail.gandi.net (Postfix) with ESMTPSA id 9562840004;
 Fri, 21 Jul 2023 16:22:35 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#64759: Broken faces
In-Reply-To: <83a5vp1qmu.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 21 Jul
 2023 13:54:33 +0300")
Organization: LINKOV.NET
References: <86fs5h4vo2.fsf@HIDDEN> <83fs5h1z38.fsf@HIDDEN>
 <86bkg53cau.fsf@HIDDEN> <83a5vp1qmu.fsf@HIDDEN>
Date: Fri, 21 Jul 2023 19:20:44 +0300
Message-ID: <86r0p11bj7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/30.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-GND-Sasl: juri@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 64759
Cc: 64759 <at> debbugs.gnu.org, maurooaranda@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> It seems adding non-empty definitions in bug#64655
>> were intended to workaround a bug in cus-edit.el,
>> not to fix it.
>
> I don't think it's a bug.  Why is it a bug to tell the user that the
> face has no information to show as the current definition?

How this is different from a variable that has a nil value?
The Customization UI can handle it.

> Moreover, what does it mean to have nil there in defface?  The
> meaning of nil is not documented anywhere that I could see, so what
> did the authors of such code expect it to produce?

Why not nil?  Every variable supports a nil value.  Why can't faces
do the same?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#64759; Package emacs. Full text available.

Message received at 64759 <at> debbugs.gnu.org:


Received: (at 64759) by debbugs.gnu.org; 21 Jul 2023 10:55:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 21 06:55:57 2023
Received: from localhost ([127.0.0.1]:60674 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1qMnng-0002iM-Qe
	for submit <at> debbugs.gnu.org; Fri, 21 Jul 2023 06:55:57 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:53930)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1qMnne-0002i6-TV
 for 64759 <at> debbugs.gnu.org; Fri, 21 Jul 2023 06:55:55 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1qMnnZ-0005oH-2F; Fri, 21 Jul 2023 06:55:49 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=0wze41+aYGxeeErK6Aj+nZM2gZkOODDGGE4Jm4I0OA0=; b=gHownhX1fbcF
 hbOWbvS8DiTfTO47vd4qUvVwssiGvAy8KRSctUae1jrn29Z2Cn6cdGhAwcyqmiaOlkNBDeIW4UPIb
 Dx2yFf9WUYmhp1sw7QHon/apyAjdxN6one5Z4PGm9cusLrdpG/ZaqvDefGPJh0fYOKu5XNMM4XW/x
 qgPCC+Q8g0gahYyLWrHnkuSHvATf2WNwreU8LBZFA5lSZ0tYnHGFdJC+I7w2LU4TC6LQRxSsQO8ru
 DnfSBrTMokrVKzsAHFlWVHt+PgWmUtkPkdPnL1aQsebifzbloKTzElqZncjLgWWxHVQAZ90eGNZ5C
 I1VQJVtTDiz7kGgEj1luyA==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1qMnnP-0003fa-He; Fri, 21 Jul 2023 06:55:44 -0400
Date: Fri, 21 Jul 2023 13:56:15 +0300
Message-Id: <838rb91qk0.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
In-Reply-To: <864jlx4r6z.fsf@HIDDEN> (message from Juri Linkov on
 Fri, 21 Jul 2023 11:13:52 +0300)
Subject: Re: bug#64759: Broken faces
References: <86fs5h4vo2.fsf@HIDDEN> <87sf9hog8g.fsf@HIDDEN>
 <864jlx4r6z.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 64759
Cc: 64759 <at> debbugs.gnu.org, rpluim@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: 64759 <at> debbugs.gnu.org
> From: Juri Linkov <juri@HIDDEN>
> Date: Fri, 21 Jul 2023 11:13:52 +0300
> 
> Because it's used on the tab bar.

Then perhaps tab-bar.el should define its own face for that, and apply
it when displaying time there.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#64759; Package emacs. Full text available.

Message received at 64759 <at> debbugs.gnu.org:


Received: (at 64759) by debbugs.gnu.org; 21 Jul 2023 10:54:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 21 06:54:21 2023
Received: from localhost ([127.0.0.1]:60669 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1qMnm9-0002fu-By
	for submit <at> debbugs.gnu.org; Fri, 21 Jul 2023 06:54:21 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:57808)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1qMnm7-0002fg-Nw
 for 64759 <at> debbugs.gnu.org; Fri, 21 Jul 2023 06:54:20 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1qMnm1-000587-TW; Fri, 21 Jul 2023 06:54:14 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=Lz5GcZ0CJkgkERmgxOtG7QVOJhQsx0C8SEun64LLHRY=; b=Pxa9JmnUo/5F
 IGjNn4mvAiETXZ5WgQMGoJBNwLciIfDfr1Mh5yJsjpMlPnBFfPXzMJHrqQ7ii59lmtp03ytApyAh7
 9KLnPib19HerbkTTinum9EDpeOYBg0AN/6k6sWiB96J2hYehQchP1BBR8WyNRE2rkUFpgpZK9azrX
 cDUrLn1Ow+z2i5nuG+9BFXU9/0VG9IneviClJ+K6tb9U3SZSnGc+x0ijFY4Sn+X6EUh4/YRghl7de
 gE7nA3FEgzunjCBlUfutk7kyTrIKUNp88xPJ5ytk4tfx/LnH5uvXlxbjpLj/bWy/7nxZBVzuyIpiO
 ra02FwmOab2erBg6XdYrVQ==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1qMnll-0002pi-FH; Fri, 21 Jul 2023 06:54:05 -0400
Date: Fri, 21 Jul 2023 13:54:33 +0300
Message-Id: <83a5vp1qmu.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
In-Reply-To: <86bkg53cau.fsf@HIDDEN> (message from Juri Linkov on
 Fri, 21 Jul 2023 11:13:13 +0300)
Subject: Re: bug#64759: Broken faces
References: <86fs5h4vo2.fsf@HIDDEN> <83fs5h1z38.fsf@HIDDEN>
 <86bkg53cau.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 64759
Cc: 64759 <at> debbugs.gnu.org, maurooaranda@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Juri Linkov <juri@HIDDEN>
> Cc: 64759 <at> debbugs.gnu.org,  Mauro Aranda <maurooaranda@HIDDEN>
> Date: Fri, 21 Jul 2023 11:13:13 +0300
> 
> It seems adding non-empty definitions in bug#64655
> were intended to workaround a bug in cus-edit.el,
> not to fix it.

I don't think it's a bug.  Why is it a bug to tell the user that the
face has no information to show as the current definition?

Moreover, what does it mean to have nil there in defface?  The
meaning of nil is not documented anywhere that I could see, so what
did the authors of such code expect it to produce?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#64759; Package emacs. Full text available.

Message received at 64759 <at> debbugs.gnu.org:


Received: (at 64759) by debbugs.gnu.org; 21 Jul 2023 10:53:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 21 06:53:07 2023
Received: from localhost ([127.0.0.1]:60664 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1qMnkw-0002dy-Up
	for submit <at> debbugs.gnu.org; Fri, 21 Jul 2023 06:53:07 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:56938)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1qMnku-0002dV-Tw
 for 64759 <at> debbugs.gnu.org; Fri, 21 Jul 2023 06:53:05 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1qMnkp-0004vQ-4W; Fri, 21 Jul 2023 06:52:59 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=2p9YdH++bzgnhxXgXYdPp/XK9eO6ZvBx2tYxRZ4Kcu8=; b=THY75na/YwEb
 lvDN9RfVff9y5pZKLwvXsCQG1G3pVatbEpRxKNYrHqWT1rakCKmA9XlGfKWiZwb7JnwxbhVNzoAD3
 cs3L3I/uDIvtPrtu0LozMoVyLResRP6mtHc7b627Ssa4gN5Xi401K5D3/Ex3jVadbwx9GWFebHIjE
 Xw2wGS5zv4hgwiNYxusX9gSzeMYit1//KUqOTIJjKzApFiYG5Umx1JYcGYkB/IHGTOaZMNpF6EQE1
 t7wKOTTbsDX7jROhJteLg1Wj4RVe28zqThh8mc57n2g8Jk/LWJgG/V0qPG/gxFkYHk4q8UZbXkOj8
 JoM7ZsxQMZT0TkO5+gXJHQ==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1qMnkj-0002Ag-UF; Fri, 21 Jul 2023 06:52:58 -0400
Date: Fri, 21 Jul 2023 13:53:29 +0300
Message-Id: <83bkg51qom.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
In-Reply-To: <86bkg53cau.fsf@HIDDEN> (message from Juri Linkov on
 Fri, 21 Jul 2023 11:13:13 +0300)
Subject: Re: bug#64759: Broken faces
References: <86fs5h4vo2.fsf@HIDDEN> <83fs5h1z38.fsf@HIDDEN>
 <86bkg53cau.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 64759
Cc: 64759 <at> debbugs.gnu.org, maurooaranda@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Juri Linkov <juri@HIDDEN>
> Cc: 64759 <at> debbugs.gnu.org,  Mauro Aranda <maurooaranda@HIDDEN>
> Date: Fri, 21 Jul 2023 11:13:13 +0300
> 
> It seems adding non-empty definitions in bug#64655
> were intended to workaround a bug in cus-edit.el,
> not to fix it.

I don't think it's a bug.  Why is it a bug to tell the user that the
face has no information to show as the current definition?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#64759; Package emacs. Full text available.

Message received at 64759 <at> debbugs.gnu.org:


Received: (at 64759) by debbugs.gnu.org; 21 Jul 2023 10:48:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 21 06:48:49 2023
Received: from localhost ([127.0.0.1]:60652 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1qMngj-0002Wk-R9
	for submit <at> debbugs.gnu.org; Fri, 21 Jul 2023 06:48:49 -0400
Received: from mail-oa1-x34.google.com ([2001:4860:4864:20::34]:62473)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maurooaranda@HIDDEN>) id 1qMngg-0002WK-9U
 for 64759 <at> debbugs.gnu.org; Fri, 21 Jul 2023 06:48:44 -0400
Received: by mail-oa1-x34.google.com with SMTP id
 586e51a60fabf-1b0748bc78dso1865762fac.0
 for <64759 <at> debbugs.gnu.org>; Fri, 21 Jul 2023 03:48:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20221208; t=1689936516; x=1690541316;
 h=content-transfer-encoding:in-reply-to:from:content-language
 :references:cc:to:subject:user-agent:mime-version:date:message-id
 :from:to:cc:subject:date:message-id:reply-to;
 bh=XOnGpe8yJIgyFgR3lGFHeGFCLpU47EkUWgNcuBQAVyo=;
 b=AIaKBUX/62DGT2e35ze3fZGIDOkYm75StjesjJt5I0JLqmwRKVI1YSsgEDxETBh40C
 prv2fXtaZVgYaQeHj9/dJvbPjgh+oNvR5mAeGLHWH52x+N9gjms3sOOnv3OsGz5n2Non
 QEPDBbvdbM0mh3FiTchaY3tXYxbSEhCzdllnC/5ESHPnZLAYd+cEbPbXE36wRejz06cM
 v/TlYUx97acEUVT9CBcqDvSjeSFOl22f5mPlPjIm6CYk6IIcwNq2+JtCAv1kwZJgu6u7
 OvldvuMizCvPg3dHVdOQ4Rgy1TiFBPeSTDZG5sqgyNbu/0BzdqD6TQulCctrp+l9QMVs
 ansQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20221208; t=1689936516; x=1690541316;
 h=content-transfer-encoding:in-reply-to:from:content-language
 :references:cc:to:subject:user-agent:mime-version:date:message-id
 :x-gm-message-state:from:to:cc:subject:date:message-id:reply-to;
 bh=XOnGpe8yJIgyFgR3lGFHeGFCLpU47EkUWgNcuBQAVyo=;
 b=ByeoOdVSDsqt1W3dF7aVq45xch9c2JgjgVA4+JViwtUs9d9mH7qkWel92hVVkLch7j
 ZDPI0uAid2ATLUHXfWoKhN2mFMZdzr2Mjsz/ktlvqfr7fCHw2Cy7b0/9YmtOyJBG8j9P
 PPn5KTNUhHMvrj7hRfol14OqgS5h0DDpqZaRKgDbsMQY9giO+RyMCSma/6F6i5UgY8T6
 EHAv80bmA4hJRmT7HZY3sU8q8AzUi2n9B1zZQD1T4+qet2U+/JdgM8CK8Od0gyUVnrjA
 M+vd5liQVZYr67ULa2zrRNXs9TTuzZhwZXbNgUr4KjiPxK2qRB4HNgTuNytdT6G4w/8x
 7WeA==
X-Gm-Message-State: ABy/qLb/8fDIRg8G/hODhy/A9fJu/zXz8YovCxRm9oT7pPaxpNFjxkss
 t5VIyC48BWCic97IYr7hKQ8=
X-Google-Smtp-Source: APBJJlFLHDfAYfbXNUBRUVP4KdUY3mNr6RRDgU3D4+o5GgxHkYypqthbbv8AFCbm4ee0qYDp8gsOjA==
X-Received: by 2002:a05:6871:b22:b0:1b0:4349:b825 with SMTP id
 fq34-20020a0568710b2200b001b04349b825mr1780917oab.21.1689936516314; 
 Fri, 21 Jul 2023 03:48:36 -0700 (PDT)
Received: from [192.168.0.234] ([186.127.128.249])
 by smtp.gmail.com with ESMTPSA id
 f4-20020a056870548400b001b47092ff68sm1393567oan.16.2023.07.21.03.48.34
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Fri, 21 Jul 2023 03:48:35 -0700 (PDT)
Message-ID: <c68de499-1a86-3cf6-6224-3c97c554c676@HIDDEN>
Date: Fri, 21 Jul 2023 07:48:30 -0300
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:102.0) Gecko/20100101
 Thunderbird/102.13.0
Subject: Re: bug#64759: Broken faces
To: Juri Linkov <juri@HIDDEN>
References: <86fs5h4vo2.fsf@HIDDEN> <83fs5h1z38.fsf@HIDDEN>
 <86bkg53cau.fsf@HIDDEN>
Content-Language: en-US
From: Mauro Aranda <maurooaranda@HIDDEN>
In-Reply-To: <86bkg53cau.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.1 (/)
X-Debbugs-Envelope-To: 64759
Cc: 64759 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.1 (-)

Juri Linkov <juri@HIDDEN> writes:

 > It seems adding non-empty definitions in bug#64655
 > were intended to workaround a bug in cus-edit.el,
 > not to fix it.
 >
 > Maybe Mauro could help to fix it (Cc'ed)
 > without requiring non-nil definitions
 > that anyway can not be fixed outside of
 > the Emacs source tree, i.e. in numerous
 > user init files and external packages.

I don't think it is a bug in Custom.  Custom will allow the user to edit
the face and set/save or whatever, even if it's definition is
(defface foo nil "...")

But it seems to me that it's better to define it like this:
(defface foo '((t nil)) "...")
so that the face gets a face-defface-spec property.

So maybe the definition for display-time-date-and-time should be changed
to:
(defface display-time-date-and-time
   '((t nil))
   "Face for `display-time-format'."
   :group 'mode-line-faces
   :version "30.1")

instead that making it inherit from mode-line?





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#64759; Package emacs. Full text available.

Message received at 64759 <at> debbugs.gnu.org:


Received: (at 64759) by debbugs.gnu.org; 21 Jul 2023 08:24:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 21 04:24:03 2023
Received: from localhost ([127.0.0.1]:60531 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1qMlQh-0006r4-4b
	for submit <at> debbugs.gnu.org; Fri, 21 Jul 2023 04:24:03 -0400
Received: from relay1-d.mail.gandi.net ([2001:4b98:dc4:8::221]:32909)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1qMlQb-0006qA-NA
 for 64759 <at> debbugs.gnu.org; Fri, 21 Jul 2023 04:24:02 -0400
Received: by mail.gandi.net (Postfix) with ESMTPSA id 3B41F240005;
 Fri, 21 Jul 2023 08:23:49 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#64759: Broken faces
In-Reply-To: <87sf9hog8g.fsf@HIDDEN> (Robert Pluim's message of "Fri, 21
 Jul 2023 09:50:39 +0200")
Organization: LINKOV.NET
References: <86fs5h4vo2.fsf@HIDDEN> <87sf9hog8g.fsf@HIDDEN>
Date: Fri, 21 Jul 2023 11:13:52 +0300
Message-ID: <864jlx4r6z.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/30.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-GND-Sasl: juri@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 64759
Cc: 64759 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> This change broke display of `display-time-date-and-time' on the tab-bar:
>>   diff --git a/lisp/time.el b/lisp/time.el
>>   index 522bec46ac6..0184f96fcc2 100644
>>   --- a/lisp/time.el
>>   +++ b/lisp/time.el
>>   @@ -141,6 +141,7 @@ display-time-mail-face
>>    (defface display-time-date-and-time nil
>>      "Face for `display-time-format'."
>>   +  '((t (:inherit mode-line)))
>>      :group 'mode-line-faces
>>      :version "30.1")
>
> Thatʼs from before 5513f72d3c8, no?

5513f72d3c8 fixed a breakage, but the problem still remains.

>> This face is used by `tab-bar-format-global' that has nothing to do
>> with the mode line, so inheriting from `mode-line' makes no sense.
>
> Surely other items in the mode-line use the `mode-line' face already,
> why is this one different?

Because it's used on the tab bar.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#64759; Package emacs. Full text available.

Message received at 64759 <at> debbugs.gnu.org:


Received: (at 64759) by debbugs.gnu.org; 21 Jul 2023 08:23:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 21 04:23:57 2023
Received: from localhost ([127.0.0.1]:60527 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1qMlQa-0006qM-Qz
	for submit <at> debbugs.gnu.org; Fri, 21 Jul 2023 04:23:57 -0400
Received: from relay6-d.mail.gandi.net ([217.70.183.198]:47353)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1qMlQY-0006q7-6k
 for 64759 <at> debbugs.gnu.org; Fri, 21 Jul 2023 04:23:54 -0400
Received: by mail.gandi.net (Postfix) with ESMTPSA id BD388C0005;
 Fri, 21 Jul 2023 08:23:46 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#64759: Broken faces
In-Reply-To: <83fs5h1z38.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 21 Jul
 2023 10:51:55 +0300")
Organization: LINKOV.NET
References: <86fs5h4vo2.fsf@HIDDEN> <83fs5h1z38.fsf@HIDDEN>
Date: Fri, 21 Jul 2023 11:13:13 +0300
Message-ID: <86bkg53cau.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/30.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-GND-Sasl: juri@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 64759
Cc: 64759 <at> debbugs.gnu.org, Mauro Aranda <maurooaranda@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> This change broke display of `display-time-date-and-time' on the tab-bar:
>>
>>   diff --git a/lisp/time.el b/lisp/time.el
>>   index 522bec46ac6..0184f96fcc2 100644
>>   --- a/lisp/time.el
>>   +++ b/lisp/time.el
>>   @@ -141,6 +141,7 @@ display-time-mail-face
>>    (defface display-time-date-and-time nil
>>      "Face for `display-time-format'."
>>   +  '((t (:inherit mode-line)))
>>      :group 'mode-line-faces
>>      :version "30.1")
>>
>> This face is used by `tab-bar-format-global' that has nothing to do
>> with the mode line, so inheriting from `mode-line' makes no sense.
>
> ??? It is AFAIU used whenever display-time-mode shows the time when
> display-time-day-and-date is non-nil.  Where this is shown doesn't
> matter, and by default this is shown on the mode line.  Thus "makes no
> sense" sounds somewhat harsh to me.

Sorry, I agree it makes sense when shown on the mode line.

> But feel free to change the face definition as you see fit.

It seems adding non-empty definitions in bug#64655
were intended to workaround a bug in cus-edit.el,
not to fix it.

Maybe Mauro could help to fix it (Cc'ed)
without requiring non-nil definitions
that anyway can not be fixed outside of
the Emacs source tree, i.e. in numerous
user init files and external packages.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#64759; Package emacs. Full text available.

Message received at 64759 <at> debbugs.gnu.org:


Received: (at 64759) by debbugs.gnu.org; 21 Jul 2023 07:51:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 21 03:51:27 2023
Received: from localhost ([127.0.0.1]:60485 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1qMkv9-0005zb-5j
	for submit <at> debbugs.gnu.org; Fri, 21 Jul 2023 03:51:27 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:46784)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1qMkv6-0005zN-NA
 for 64759 <at> debbugs.gnu.org; Fri, 21 Jul 2023 03:51:25 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1qMkv1-0006QZ-Er; Fri, 21 Jul 2023 03:51:19 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=iQb/IigLopeWOxSrLnpjBu4wdPfnQkgokJ0Ou/ONdS4=; b=BDH05EG0JiQF
 5Nv54ZX14x71zD5g58Kj/vijbOiZ3zU8I8t/yUTM5v+Pkp4u8EV58HqTvz9LS9CA2/ICY2Qb7hTdc
 TVrrwY1KppOgqGy+XPIklAJxTJX/IaptEbDlnpY878tFWn5h6mZtltttOknmv27KeqNNgX9x4Aih8
 PosZO+GtHWOMMxh9HZPMN5EI0JhUY5uZkv07QcHBR1Nj+7fAG98H21Ovi++IlqMf1EGVxheKj/g0O
 xPghUv7T8IX1B7sw4PTALe01oIZN2GdEQHio2JCPR+++B4BVvrzxUQa+Cp5SeO+VG0GLK60wxrNfN
 rZkNfypjwNlLoMYSVnehyg==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1qMkv0-0006Fi-TI; Fri, 21 Jul 2023 03:51:19 -0400
Date: Fri, 21 Jul 2023 10:51:55 +0300
Message-Id: <83fs5h1z38.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
In-Reply-To: <86fs5h4vo2.fsf@HIDDEN> (message from Juri Linkov on
 Fri, 21 Jul 2023 09:37:30 +0300)
Subject: Re: bug#64759: Broken faces
References: <86fs5h4vo2.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 64759
Cc: 64759 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Juri Linkov <juri@HIDDEN>
> Date: Fri, 21 Jul 2023 09:37:30 +0300
> 
> This change broke display of `display-time-date-and-time' on the tab-bar:
> 
>   diff --git a/lisp/time.el b/lisp/time.el
>   index 522bec46ac6..0184f96fcc2 100644
>   --- a/lisp/time.el
>   +++ b/lisp/time.el
>   @@ -141,6 +141,7 @@ display-time-mail-face
>    (defface display-time-date-and-time nil
>      "Face for `display-time-format'."
>   +  '((t (:inherit mode-line)))
>      :group 'mode-line-faces
>      :version "30.1")
> 
> This face is used by `tab-bar-format-global' that has nothing to do
> with the mode line, so inheriting from `mode-line' makes no sense.

??? It is AFAIU used whenever display-time-mode shows the time when
display-time-day-and-date is non-nil.  Where this is shown doesn't
matter, and by default this is shown on the mode line.  Thus "makes no
sense" sounds somewhat harsh to me.

But feel free to change the face definition as you see fit.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#64759; Package emacs. Full text available.

Message received at 64759 <at> debbugs.gnu.org:


Received: (at 64759) by debbugs.gnu.org; 21 Jul 2023 07:50:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 21 03:50:52 2023
Received: from localhost ([127.0.0.1]:60477 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1qMkua-0005y2-9i
	for submit <at> debbugs.gnu.org; Fri, 21 Jul 2023 03:50:52 -0400
Received: from mail-wm1-x330.google.com ([2a00:1450:4864:20::330]:52253)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1qMkuV-0005xk-Sb
 for 64759 <at> debbugs.gnu.org; Fri, 21 Jul 2023 03:50:50 -0400
Received: by mail-wm1-x330.google.com with SMTP id
 5b1f17b1804b1-3fbd33a57dcso14555145e9.0
 for <64759 <at> debbugs.gnu.org>; Fri, 21 Jul 2023 00:50:47 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20221208; t=1689925841; x=1690530641;
 h=content-transfer-encoding:mime-version:message-id:date:references
 :in-reply-to:subject:cc:to:from:from:to:cc:subject:date:message-id
 :reply-to; bh=BWDT2ChJGIXP01Cighx6Yvd6H4tIvHOdTbly7OpBY+4=;
 b=fM0IMdglw0Nc3+GsQnOSKbof5AL9NfpnZSpjXIb/oxTkgoXJPx2wa8IUNiDSz8qlGO
 6+NxNzQ+DXJxlFhxTNujTHDNujyLTDvkRV0xRBSgpN+LadMLuN+xNHvp+899BC63mgNf
 f0y1IYDRFyF3SHiAUB+7ozhyHyHPPJ8oKT1BV7zpRs8ban9ri/ztxiEjHd6pXXdWuwy3
 HxKyBVvOPezLR2IkJ9O3uM2nPnoc34cBzW2qvx1Khn44l8LGy4vU78M9VGxlW4wTki84
 fe0u42NoDrl977UKhc+07nsOn4fJzUmzskEbsmTkJ4Z5opyOyWwQ02WJp4AnBxIvo0oo
 hD+A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20221208; t=1689925841; x=1690530641;
 h=content-transfer-encoding:mime-version:message-id:date:references
 :in-reply-to:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=BWDT2ChJGIXP01Cighx6Yvd6H4tIvHOdTbly7OpBY+4=;
 b=SK3WY0nSbkojH0aFyEzaXoNIYmbvl44uCp5mlLmbibXtvCLwsjFVab5/0UZWj+O3k2
 ZSiYyICqMHMFLNT3OOaSntrKRU5sVfgHP9moJyRR+USqN8H+mn9SngaFfipfegLCW6S1
 r1x0FnT33TdzYvK7q2du8OCFK9xaP7ZSW3Nlfb9L7jfZPkk+r56Cr2xn6b+V83UPMXA3
 B9bBTCK9FfEKTfKPaX4j8w22lpK7vUMSt0UR77OV889N6G5XgXRxTeqf2Y+1IgyCjNQ/
 U88Ig3MXd75oIf0Mlt8CBeORx7R8e6NBvOxQW9YAsB7UWLbVGPc35R3DEz4uMbYUhVoA
 hwGQ==
X-Gm-Message-State: ABy/qLZ3y/4qgQMP5Q/cLcNPgJhedxmpQUd+C8E2joUcbm+aDwv0sVI6
 wyz9BtRh+M+sgfVYfoPjeOn1EZogXD8=
X-Google-Smtp-Source: APBJJlFV/FypAXSCIavqXYtSYayemjktizDxLoW7Ql4ZcMZBmBJqDj209tUfMATH6gg6huRqt7vO8A==
X-Received: by 2002:a05:600c:450:b0:3fc:8ac:b0e with SMTP id
 s16-20020a05600c045000b003fc08ac0b0emr835759wmb.32.1689925841166; 
 Fri, 21 Jul 2023 00:50:41 -0700 (PDT)
Received: from rltb ([2a01:e0a:3f3:fb50:3e5b:cfef:d3eb:7f8d])
 by smtp.gmail.com with ESMTPSA id
 f13-20020a1c6a0d000000b003fbdbd0a7desm5552353wmc.27.2023.07.21.00.50.40
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 21 Jul 2023 00:50:40 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#64759: Broken faces
In-Reply-To: <86fs5h4vo2.fsf@HIDDEN> (Juri Linkov's message of "Fri, 
 21 Jul 2023 09:37:30 +0300")
References: <86fs5h4vo2.fsf@HIDDEN>
Date: Fri, 21 Jul 2023 09:50:39 +0200
Message-ID: <87sf9hog8g.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 64759
Cc: 64759 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Fri, 21 Jul 2023 09:37:30 +0300, Juri Linkov <juri@HIDDEN> sai=
d:

    Juri> This change broke display of `display-time-date-and-time' on the =
tab-bar:
    Juri>   diff --git a/lisp/time.el b/lisp/time.el
    Juri>   index 522bec46ac6..0184f96fcc2 100644
    Juri>   --- a/lisp/time.el
    Juri>   +++ b/lisp/time.el
    Juri>   @@ -141,6 +141,7 @@ display-time-mail-face
    Juri>    (defface display-time-date-and-time nil
    Juri>      "Face for `display-time-format'."
    Juri>   +  '((t (:inherit mode-line)))
    Juri>      :group 'mode-line-faces
    Juri>      :version "30.1")

That=CA=BCs from before 5513f72d3c8, no?

    Juri> This face is used by `tab-bar-format-global' that has nothing to =
do
    Juri> with the mode line, so inheriting from `mode-line' makes no sense.

Surely other items in the mode-line use the `mode-line' face already,
why is this one different?

Robert
--=20




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#64759; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 21 Jul 2023 06:40:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 21 02:40:13 2023
Received: from localhost ([127.0.0.1]:60392 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1qMjoD-0003js-ED
	for submit <at> debbugs.gnu.org; Fri, 21 Jul 2023 02:40:13 -0400
Received: from lists.gnu.org ([2001:470:142::17]:52798)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1qMjo6-0003j0-Ta
 for submit <at> debbugs.gnu.org; Fri, 21 Jul 2023 02:40:11 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <juri@HIDDEN>) id 1qMjnk-0002ab-Em
 for bug-gnu-emacs@HIDDEN; Fri, 21 Jul 2023 02:39:46 -0400
Received: from relay3-d.mail.gandi.net ([217.70.183.195])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <juri@HIDDEN>) id 1qMjni-000808-2I
 for bug-gnu-emacs@HIDDEN; Fri, 21 Jul 2023 02:39:44 -0400
Received: by mail.gandi.net (Postfix) with ESMTPSA id E16E960009
 for <bug-gnu-emacs@HIDDEN>; Fri, 21 Jul 2023 06:39:36 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: Broken faces
Organization: LINKOV.NET
Date: Fri, 21 Jul 2023 09:37:30 +0300
Message-ID: <86fs5h4vo2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/30.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-GND-Sasl: juri@HIDDEN
Received-SPF: pass client-ip=217.70.183.195; envelope-from=juri@HIDDEN;
 helo=relay3-d.mail.gandi.net
X-Spam_score_int: -25
X-Spam_score: -2.6
X-Spam_bar: --
X-Spam_report: (-2.6 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_DNSWL_LOW=-0.7,
 RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.6 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.4 (/)

This change broke display of `display-time-date-and-time' on the tab-bar:

  diff --git a/lisp/time.el b/lisp/time.el
  index 522bec46ac6..0184f96fcc2 100644
  --- a/lisp/time.el
  +++ b/lisp/time.el
  @@ -141,6 +141,7 @@ display-time-mail-face
   (defface display-time-date-and-time nil
     "Face for `display-time-format'."
  +  '((t (:inherit mode-line)))
     :group 'mode-line-faces
     :version "30.1")

This face is used by `tab-bar-format-global' that has nothing to do
with the mode line, so inheriting from `mode-line' makes no sense.




Acknowledgement sent to Juri Linkov <juri@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#64759; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 25 Jul 2023 17:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.